Browse Source

Move some test requirements to tox.ini

Simplify requirements management.

Also increase minversion of tox to support inline comments [1]

https://tox.readthedocs.io/en/latest/changelog.html#v3-9-0-2019-04-17

Change-Id: I5d5e526cedbdd70ea8ee8eaa8fe847baa72fc275
changes/45/771945/2
Riccardo Pittau 8 months ago
parent
commit
0f7fc92a8a
  1. 4
      test-requirements.txt
  2. 6
      tox.ini

4
test-requirements.txt

@ -2,8 +2,6 @@
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
hacking>=3.1.0,<4.0.0 # Apache-2.0
coverage!=4.4,>=4.0 # Apache-2.0
# used by libvirt driver
libvirt-python>=6.0.0 # LGPLv2+
@ -15,5 +13,3 @@ stestr>=1.0.0 # Apache-2.0
testscenarios>=0.4 # Apache-2.0/BSD
testtools>=2.2.0 # MIT
munch>=2.1.0 # MIT
flake8-import-order>=0.17.1 # LGPLv3
pycodestyle>=2.0.0,<2.7.0 # MIT

6
tox.ini

@ -1,5 +1,5 @@
[tox]
minversion = 3.2.1
minversion = 3.9.0
envlist = py3,pep8
skipsdist = True
ignore_basepython_conflict=true
@ -18,6 +18,10 @@ commands = stestr run {posargs}
stestr slowest
[testenv:pep8]
deps =
hacking>=3.1.0,<4.0.0 # Apache-2.0
flake8-import-order>=0.17.1 # LGPLv3
pycodestyle>=2.0.0,<2.7.0 # MIT
commands = flake8 {posargs}
[testenv:venv]

Loading…
Cancel
Save